## cylc 6.11.2

=== Makefile ===
# THIS FILE IS PART OF THE CYLC SUITE ENGINE.
# Copyright (C) 2008-2016 NIWA
# 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

all: version docs ordereddict

version:
	admin/create-version-file

docs:
	cd doc && $(MAKE)

ordereddict:
	cd ext/ordereddict-0.4.5 && python setup.py build

clean:
	cd doc && $(MAKE) clean

=== doc/Makefile ===
#!/usr/bin/make -f

# THIS FILE IS PART OF THE CYLC SUITE ENGINE.
# Copyright (C) 2008-2016 NIWA
# 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

CYLC=$(dir $(abspath $(lastword $(MAKEFILE_LIST))))../bin/cylc

.PHONY: all index clean html html-multi html-single pdf

DEPS := $(shell ./scripts/get-deps.sh)

all: index

index: $(DEPS)
	./scripts/make-index.sh

html: html-multi html-single

html-multi: html/multi/cug-html.html

html-single: html/single/cug-html.html

pdf: pdf/cug-pdf.pdf


cylc.txt: ../bin/cylc
	$< --help > $@

cats = $(shell ../bin/cylc categories) 
catx = $(cats:%=categories/%.txt)

cmds = $(shell ../bin/cylc commands)
cmdx = $(cmds:%=commands/%.txt)

$(cmdx): commands/%.txt: ../bin/cylc-%
	if test ! -d commands; then mkdir -p commands/; fi
	$(patsubst ../bin/cylc-%,../bin/cylc %,$<) --help > $@

$(catx): categories/%.txt: ../bin/cylc
	if test ! -d categories; then mkdir -p categories/; fi
	cylc $(subst .txt,,$(subst categories/,,$@)) --help > $@

commands.tex: $(cmdx) $(catx) cylc.txt
	./scripts/make-commands.sh

html/multi/cug-html.html: commands.tex cug-html.tex cug.tex suiterc.tex siterc.tex gcylcrc.tex cug-html.cfg
	./scripts/make-html.sh multi

html/single/cug-html.html: commands.tex cug-html.tex cug.tex suiterc.tex siterc.tex gcylcrc.tex cug-html.cfg
	./scripts/make-html.sh single

pdf/cug-pdf.pdf: commands.tex cug-pdf.tex cug.tex suiterc.tex siterc.tex gcylcrc.tex
	./scripts/make-pdf.sh

# delete all generated files:
clean:
	rm -r pdf \
	html \
	cylc.txt \
	commands \
	categories \
	commands.tex \
	index.html \
	cylc-version.txt

=== debian/changelog ===
cylc (6.11.2-4) unstable; urgency=medium

  * Add icon, desktop file for cylc-gui

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 23 Dec 2016 13:02:05 +0000

cylc (6.11.2-3) unstable; urgency=medium

  * Binary rebuild for armhf build failure

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 16 Dec 2016 10:50:33 +0000

cylc (6.11.2-2) unstable; urgency=medium

  * python-cylc: add Breaks/Replaces for xdot << 0.7-2. Closes: #847966
  * Multi-Arch: same for cylc

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 13 Dec 2016 13:08:03 +0000

cylc (6.11.2-1) unstable; urgency=medium

  * Initial release. (Closes: #788814)
    Re-uploaded with Copyright updates (Add Python license for Ordereddict*) 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 14 Nov 2016 21:41:25 +0000

=== debian/control ===
Source: cylc
Section: utils
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Conflicts: cylc
Build-Depends: debhelper (>= 10), dh-python, python-all-dev, 
 python-pygraphviz, pyro, python-jinja2, 
 texlive-latex-extra, texlive-fonts-recommended, lmodern, tex4ht, imagemagick, sqlite3
Standards-Version: 3.9.8
Homepage: http://cylc.github.io/cylc
Vcs-Git: git://git.debian.org/git/debian-science/packages/cylc.git

Package: cylc
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends},
 sqlite3, python-cylc, python, at, perl
Architecture: any
Multi-Arch: same
Description: Workflow scheduler 
 Cylc ("silk") is a suite engine and meta-scheduler that specializes
 in suites of cycling tasks for weather forecasting, climate modeling,
 and related processing (it can also be used for one-off workflows
 of non-cycling tasks, which is a simpler problem).

Package: python-cylc
Section: python
Architecture: any
Breaks: xdot (<< 0.7-2)
Replaces: xdot (<< 0.7-2)
Depends: ${python:Depends}, ${misc:Depends}, pyro, 
 python-sqlite, python-gtk2, python-jinja2, python-pygraphviz
Description: Python libraries for cylc workflow scheduler
 Cylc ("silk") is a suite engine and meta-scheduler that specializes
 in suites of cycling tasks for weather forecasting, climate modeling,
 and related processing (it can also be used for one-off workflows
 of non-cycling tasks, which is a simpler problem).
 .
 This package contains python library code used by cylc.

=== debian/rules ===
#!/usr/bin/make -f

# The magic debhelper rule:
%:
	dh  $@ --with python2

override_dh_auto_build:
	PATH=$(PATH):$(CURDIR)/bin && $(MAKE)

override_dh_auto_install:
	# Don't support gpanel. Requires gnome2's gnomeapplet.
	rm -rf  bin/cylc-gpanel conf/gpanel
	mkdir -p debian/tmp/usr/bin
	mkdir -p debian/tmp/etc/cylc/gcylcrc
	sed -e 's%/home/admin/cylc%/usr/share%' <  \
	 	admin/cylc-wrapper	> debian/tmp/usr/bin/cylc
	cp conf/gcylcrc/gcylc.rc.eg debian/tmp/etc/cylc/gcylcrc/gcylc.rc
	cp conf/gcylcrc/themes.rc debian/tmp/etc/cylc/gcylcrc
	find . -name '*.t' -exec chmod +x {} \;
	find . -name test_header -exec chmod +x {} \;
	chmod +x bin/*
	install -d -m 0755 $(CURDIR)/debian/cylc-el/usr/share/emacs/site-lisp/cylc
	install    -m 0644 conf/cylc-mode.el \
                           $(CURDIR)/debian/cylc-el/usr/share/emacs/site-lisp/cylc/cylc-mode.el
	install  -m 0755 debian/cylc.py  \
			$(CURDIR)/debian/cylc/usr/share/cylc/bin/cylc
	install -m 0644 images/icon.png $(CURDIR)/debian/cylc/usr/share/pixmaps/cylc.png

override_dh_fixperms:
	# Delete after install. Use Pyro package instead.
	rm -rf debian/python-cylc/usr/lib/python2.7/dist-packages/Pyro
	dh_fixperms
	
override_dh_auto_clean:
	$(MAKE) clean || echo "Clean already."
	find . -name '*.pyc' -delete

override_dh_auto_test:
	echo "Skipping tests until hostname issue resolved"
	# PATH=$(PATH):$(CURDIR)/bin && cylc test-battery

## cylc 7.4.0

=== debian/changelog ===
cylc (7.4.0-1) unstable; urgency=medium

  * New upstream release
  * Add B-D on tex-gyre for gbonum.sty
  * Add B-D on python-gtk2
  * Standards-Version: 4.0.0; no changes required
  * Add watch file
  * Drop Multiarch from cylc

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 19 Jul 2017 13:49:31 +0100

cylc (6.11.2-7) unstable; urgency=medium

  * Don't automatically create version file (which overwrites VERSION created
    in ./rules and causes FTBFS on underscores
  * Don't include gpanel in cylc subcommands list

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 31 Mar 2017 17:00:45 +0100

cylc (6.11.2-6) unstable; urgency=medium

  * Patch to fix FTBFS when version includes an underscore.
    Thanks to Chris Lamb. Closes: #857313

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 29 Mar 2017 18:54:07 +0100

cylc (6.11.2-5) unstable; urgency=medium

  * Fix broken symlinks. Closes: #858480

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 26 Mar 2017 16:25:59 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Build-Conflicts: cylc
 Build-Depends: debhelper (>= 10), dh-python, python-all-dev, 
  python-pygraphviz, pyro, python-jinja2, 
- texlive-latex-extra, texlive-fonts-recommended, lmodern, tex4ht, imagemagick, sqlite3
-Standards-Version: 3.9.8
+ texlive-latex-extra, texlive-fonts-recommended, lmodern, tex4ht, imagemagick, sqlite3,
+ tex-gyre, python-gtk2, python-markupsafe, python-cherrypy3
+Standards-Version: 4.0.0
 Homepage: http://cylc.github.io/cylc
 Vcs-Git: git://git.debian.org/git/debian-science/packages/cylc.git
 
@@ -14,7 +15,6 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends},
  sqlite3, python-cylc, python, at, perl
 Architecture: any
-Multi-Arch: same
 Description: Workflow scheduler 
  Cylc ("silk") is a suite engine and meta-scheduler that specializes
  in suites of cycling tasks for weather forecasting, climate modeling,
@@ -27,7 +27,8 @@
 Breaks: xdot (<< 0.7-2)
 Replaces: xdot (<< 0.7-2)
 Depends: ${python:Depends}, ${misc:Depends}, pyro, 
- python-sqlite, python-gtk2, python-jinja2, python-pygraphviz
+ python-sqlite, python-gtk2, python-jinja2, python-pygraphviz,
+ python-markupsafe, python-cherrypy3, pyro
 Description: Python libraries for cylc workflow scheduler
  Cylc ("silk") is a suite engine and meta-scheduler that specializes
  in suites of cycling tasks for weather forecasting, climate modeling,

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,10 @@
 %:
 	dh  $@ --with python2
 
+VERSION = $(shell dpkg-parsechangelog --show-field Version)
+
 override_dh_auto_build:
+	echo $(VERSION) > VERSION
 	PATH=$(PATH):$(CURDIR)/bin && $(MAKE)
 
 override_dh_auto_install:
@@ -27,8 +30,10 @@
 	install -m 0644 images/icon.png $(CURDIR)/debian/cylc/usr/share/pixmaps/cylc.png
 
 override_dh_fixperms:
-	# Delete after install. Use Pyro package instead.
-	rm -rf debian/python-cylc/usr/lib/python2.7/dist-packages/Pyro
+	# Delete after install. Use packages instead.
+	for p in Pyro cherrypy markupsafe jinja2 ; do \
+		rm -rf debian/python-cylc/usr/lib/python2.7/dist-packages/$$p ; \
+		done
 	dh_fixperms
 	
 override_dh_auto_clean:

## cylc 7.5.0

=== debian/changelog ===
cylc (7.5.0-3) unstable; urgency=medium

  * Fix syntax in rules file

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 15 Sep 2017 16:22:47 +0100

cylc (7.5.0-2) unstable; urgency=medium

  * Fix for FTBFS on arch-only builds. 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 11 Sep 2017 10:23:36 +0100

cylc (7.5.0-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
    - rm-gpanel.patch now upstream
  * Standards-Version: 4.1.0; no changes required
  * Change cylc to Architecture: any

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 09 Sep 2017 15:30:35 +0100

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
  python-pygraphviz, pyro, python-jinja2, 
  texlive-latex-extra, texlive-fonts-recommended, lmodern, tex4ht, imagemagick, sqlite3,
  tex-gyre, python-gtk2, python-markupsafe, python-cherrypy3
-Standards-Version: 4.0.0
+Standards-Version: 4.1.0
 Homepage: http://cylc.github.io/cylc
 Vcs-Git: git://git.debian.org/git/debian-science/packages/cylc.git
 
 Package: cylc
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends},
  sqlite3, python-cylc, python, at, perl
-Architecture: any
+Architecture: all
 Description: Workflow scheduler 
  Cylc ("silk") is a suite engine and meta-scheduler that specializes
  in suites of cycling tasks for weather forecasting, climate modeling,
@@ -23,7 +23,7 @@
 
 Package: python-cylc
 Section: python
-Architecture: any
+Architecture:  any
 Breaks: xdot (<< 0.7-2)
 Replaces: xdot (<< 0.7-2)
 Depends: ${python:Depends}, ${misc:Depends}, pyro,

## cylc 7.6.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # THIS FILE IS PART OF THE CYLC SUITE ENGINE.
-# Copyright (C) 2008-2016 NIWA
+# Copyright (C) 2008-2017 NIWA
 # 
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -14,16 +14,13 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-all: version docs ordereddict
+all: version documentation
 
 version:
 	admin/create-version-file
 
-docs:
+documentation:
 	cd doc && $(MAKE)
-
-ordereddict:
-	cd ext/ordereddict-0.4.5 && python setup.py build
 
 clean:
 	cd doc && $(MAKE) clean

=== doc/Makefile ===
#!/usr/bin/make -f

# THIS FILE IS PART OF THE CYLC SUITE ENGINE.
# Copyright (C) 2008-2017 NIWA
# 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

.PHONY: all cug sdg cug-pdf cug-html clean install installclean

all: sdg cug install

sdg: src/suite-design-guide/document.pdf

cug: cug-pdf cug-html
	
cug-pdf: src/cylc-user-guide/pdf/cug-pdf.pdf

cug-html: src/cylc-user-guide/html/single/cug-html.html \
          src/cylc-user-guide/html/multi/cug-html.html

src/suite-design-guide/document.pdf:
	cd src/suite-design-guide && $(MAKE)

src/cylc-user-guide/pdf/cug-pdf.pdf:
	cd src/cylc-user-guide && $(MAKE) pdf

src/cylc-user-guide/html/single/cug-html.html:
	cd src/cylc-user-guide && $(MAKE) html-single

src/cylc-user-guide/html/multi/cug-html.html:
	cd src/cylc-user-guide && $(MAKE) html-multi

install:
	./src/make-index.sh

clean:
	cd src/suite-design-guide && $(MAKE) clean
	cd src/cylc-user-guide && $(MAKE) clean

installclean:
	rm -r install

=== doc/src/cylc-user-guide/Makefile ===
#!/usr/bin/make -f

# THIS FILE IS PART OF THE CYLC SUITE ENGINE.
# Copyright (C) 2008-2017 NIWA
# 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

.PHONY: all pdf html html-multi html-single clean

DEPS := $(shell ./scripts/get-deps.sh)
CYLC = ../../../bin/cylc

all: $(DEPS)

pdf: pdf/cug-pdf.pdf

html: html-multi html-single

html-multi: html/multi/cug-html.html

html-single: html/single/cug-html.html

commands.tex: $(CYLC)-*
	./scripts/make-commands.sh

html/multi/cug-html.html: commands.tex cug-html.tex cug.tex suiterc.tex siterc.tex gcylcrc.tex cug-html.cfg
	- ./scripts/make-html.sh multi

html/single/cug-html.html: commands.tex cug-html.tex cug.tex suiterc.tex siterc.tex gcylcrc.tex cug-html.cfg
	- ./scripts/make-html.sh single

pdf/cug-pdf.pdf: commands.tex cug-pdf.tex cug.tex suiterc.tex siterc.tex gcylcrc.tex
	- ./scripts/make-pdf.sh

clean:
	rm -rf pdf html commands.tex cylc-version.txt

=== doc/src/suite-design-guide/Makefile ===
#!/usr/bin/make -f

# THIS FILE IS PART OF THE CYLC SUITE ENGINE.
# Copyright (C) 2008-2017 NIWA
# 
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

.PHONY: all clean

all: document.pdf

document.pdf: *.tex
	- pdflatex document.tex
	- pdflatex document.tex
	- pdflatex document.tex

clean:
	rm -f *.aux *.out *.toc *.log *.pdf

=== debian/changelog ===
cylc (7.6.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.1.3
  * Change VCS and homepage URLs to https; salsa.debian.org
  * Fix broken cylc driver script install. Closes: #890020
  * Add link for /etc/cylc conf dirs. 
  * Don't set CYLC_DIR to python directory; Closes: #890038.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 11 Feb 2018 16:05:43 +0000

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,25 @@
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Build-Conflicts: cylc
-Build-Depends: debhelper (>= 10), dh-python, python-all-dev, 
- python-pygraphviz, pyro, python-jinja2, 
- texlive-latex-extra, texlive-fonts-recommended, lmodern, tex4ht, imagemagick, sqlite3,
- tex-gyre, python-gtk2, python-markupsafe, python-cherrypy3
-Standards-Version: 4.1.0
-Homepage: http://cylc.github.io/cylc
-Vcs-Git: git://git.debian.org/git/debian-science/packages/cylc.git
+Build-Depends: debhelper (>= 10), 
+ dh-python,  
+ python-all-dev, 
+ python-pygraphviz, 
+ pyro, 
+ python-jinja2, 
+ texlive-latex-extra, 
+ texlive-fonts-recommended,  
+ lmodern, 
+ tex4ht, 
+ imagemagick, sqlite3,
+ tex-gyre, 
+ python-gtk2,  
+ python-markupsafe, 
+ python-cherrypy3
+Standards-Version: 4.1.3
+Homepage: https://cylc.github.io/cylc
+Vcs-Browser: https://salsa.debian.org:/science-team/cylc.git
+Vcs-Git: https://salsa.debian.org:/science-team/cylc.git
 
 Package: cylc
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends},

=== debian/rules ===
--- 
+++ 
@@ -25,8 +25,10 @@
 	install -d -m 0755 $(CURDIR)/debian/cylc-el/usr/share/emacs/site-lisp/cylc
 	install    -m 0644 conf/cylc-mode.el \
                            $(CURDIR)/debian/cylc-el/usr/share/emacs/site-lisp/cylc/cylc-mode.el
-	install  -m 0755 debian/cylc.py  \
-			$(CURDIR)/debian/cylc/usr/share/cylc/bin/cylc
+	# Do this part if full build (not just arch-dependent)
+
+override_dh_auto_install-arch:
+	install  -m 0755 debian/cylc.py   $(CURDIR)/debian/cylc/usr/share/cylc/bin/cylc  
 	install -m 0644 images/icon.png $(CURDIR)/debian/cylc/usr/share/pixmaps/cylc.png
 
 override_dh_fixperms:
@@ -35,7 +37,7 @@
 		rm -rf debian/python-cylc/usr/lib/python2.7/dist-packages/$$p ; \
 		done
 	dh_fixperms
-	
+
 override_dh_auto_clean:
 	$(MAKE) clean || echo "Clean already."
 	find . -name '*.pyc' -delete

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/cylc/cylc/releases .*/v?(\d\S*)\.tar\.gz

## cylc 7.6.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # THIS FILE IS PART OF THE CYLC SUITE ENGINE.
-# Copyright (C) 2008-2017 NIWA
+# Copyright (C) 2008-2018 NIWA
 # 
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== doc/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 # THIS FILE IS PART OF THE CYLC SUITE ENGINE.
-# Copyright (C) 2008-2017 NIWA
+# Copyright (C) 2008-2018 NIWA
 # 
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== doc/src/cylc-user-guide/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 # THIS FILE IS PART OF THE CYLC SUITE ENGINE.
-# Copyright (C) 2008-2017 NIWA
+# Copyright (C) 2008-2018 NIWA
 # 
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== doc/src/suite-design-guide/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 # THIS FILE IS PART OF THE CYLC SUITE ENGINE.
-# Copyright (C) 2008-2017 NIWA
+# Copyright (C) 2008-2018 NIWA
 # 
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== debian/changelog ===
cylc (7.6.1-1) unstable; urgency=medium

  * New upstream release
    - conf/job-init-env-default.sh no longer shipped

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 28 Mar 2018 15:45:50 +0100

## cylc 7.7.2

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 all: version documentation
 
 version:
-	admin/create-version-file
+	etc/dev-bin/create-version-file
 
 documentation:
 	cd doc && $(MAKE)

=== debian/changelog ===
cylc (7.7.2-3) unstable; urgency=medium

  * Fix FTBFS on dpkg-buildpackage -A. Closes: #908042

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 07 Sep 2018 09:48:37 +0100

cylc (7.7.2-2) unstable; urgency=medium

  * Ensure files are installed correctly on binary:any builds.
    Closes: #907617

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 31 Aug 2018 10:17:46 +0100

cylc (7.7.2-1) unstable; urgency=medium

  * New upstream release; refresh patches
  * Standards-Version: 4.2.0
  * Move job.sh from python lib dir to /usr/share/cylc/job.sh

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 23 May 2018 07:12:10 +0100

=== debian/control ===
--- 
+++ 
@@ -9,16 +9,16 @@
  python-pygraphviz, 
  pyro, 
  python-jinja2, 
+ python-gtk2,
  texlive-latex-extra, 
  texlive-fonts-recommended,  
  lmodern, 
  tex4ht, 
  imagemagick, sqlite3,
  tex-gyre, 
- python-gtk2,  
  python-markupsafe, 
  python-cherrypy3
-Standards-Version: 4.1.3
+Standards-Version: 4.2.0
 Homepage: https://cylc.github.io/cylc
 Vcs-Browser: https://salsa.debian.org:/science-team/cylc.git
 Vcs-Git: https://salsa.debian.org:/science-team/cylc.git

=== debian/rules ===
--- 
+++ 
@@ -15,27 +15,32 @@
 	rm -rf  bin/cylc-gpanel conf/gpanel
 	mkdir -p debian/tmp/usr/bin
 	mkdir -p debian/tmp/etc/cylc/gcylcrc
-	sed -e 's%/home/admin/cylc%/usr/share%' <  \
-	 	admin/cylc-wrapper	> debian/tmp/usr/bin/cylc
-	cp conf/gcylcrc/gcylc.rc.eg debian/tmp/etc/cylc/gcylcrc/gcylc.rc
-	cp conf/gcylcrc/themes.rc debian/tmp/etc/cylc/gcylcrc
+	cp bin/cylc debian/tmp/usr//bin/cylc
+	cp etc/gcylc.rc.eg debian/tmp/etc/cylc/gcylcrc/gcylc.rc
+	cp etc/global-tests.rc.eg debian/tmp/etc/cylc/gcylcrc/global-tests.rx
+	cp etc/gcylc-themes.rc debian/tmp/etc/cylc/gcylcrc
 	find . -name '*.t' -exec chmod +x {} \;
 	find . -name test_header -exec chmod +x {} \;
 	chmod +x bin/*
 	install -d -m 0755 $(CURDIR)/debian/cylc-el/usr/share/emacs/site-lisp/cylc
-	install    -m 0644 conf/cylc-mode.el \
+	install    -m 0644 etc/syntax/cylc-mode.el \
                            $(CURDIR)/debian/cylc-el/usr/share/emacs/site-lisp/cylc/cylc-mode.el
 	# Do this part if full build (not just arch-dependent)
 
 override_dh_auto_install-arch:
 	install  -m 0755 debian/cylc.py   $(CURDIR)/debian/cylc/usr/share/cylc/bin/cylc  
 	install -m 0644 images/icon.png $(CURDIR)/debian/cylc/usr/share/pixmaps/cylc.png
+	chmod +x debian/cylc/usr/share/bash-completion/completions/cylc-bash-completion
 
 override_dh_fixperms:
 	# Delete after install. Use packages instead.
 	for p in Pyro cherrypy markupsafe jinja2 ; do \
 		rm -rf debian/python-cylc/usr/lib/python2.7/dist-packages/$$p ; \
 		done
+	mkdir -p debian/cylc/usr/share/cylc
+	if test -f debian/python-cylc/usr/lib/python2.7/dist-packages/cylc/job.sh ; then \
+		mv debian/python-cylc/usr/lib/python2.7/dist-packages/cylc/job.sh debian/cylc/usr/share/cylc/job.sh ;  \
+	fi
 	dh_fixperms
 
 override_dh_auto_clean:

## cylc 7.8.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # THIS FILE IS PART OF THE CYLC SUITE ENGINE.
-# Copyright (C) 2008-2018 NIWA
+# Copyright (C) 2008-2018 NIWA & British Crown (Met Office) & Contributors.
 # 
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== doc/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 # THIS FILE IS PART OF THE CYLC SUITE ENGINE.
-# Copyright (C) 2008-2018 NIWA
+# Copyright (C) 2008-2018 NIWA & British Crown (Met Office) & Contributors.
 # 
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== doc/src/cylc-user-guide/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 # THIS FILE IS PART OF THE CYLC SUITE ENGINE.
-# Copyright (C) 2008-2018 NIWA
+# Copyright (C) 2008-2018 NIWA & British Crown (Met Office) & Contributors.
 # 
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== doc/src/suite-design-guide/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 # THIS FILE IS PART OF THE CYLC SUITE ENGINE.
-# Copyright (C) 2008-2018 NIWA
+# Copyright (C) 2008-2018 NIWA & British Crown (Met Office) & Contributors.
 # 
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== debian/changelog ===
cylc (7.8.0-5) unstable; urgency=medium

  * Re-org d/rules. Untangle arch/indep parts to make it properly
    bin-only/indep-only buildable
  * job.sh: Enable as a bash-script; its not pure sh.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 20 Dec 2018 15:11:12 +0000

cylc (7.8.0-4) unstable; urgency=medium

  * Fix FTBFS with -A. Closes: #916778

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 19 Dec 2018 16:38:19 +0000

cylc (7.8.0-3) unstable; urgency=medium

  * Make chmod+x condiitional in dh_fixperms for binary-only builds
    Closes:#916272
  * Add B-D on less for doc building script
  * Typo in envvars.patch: no os.path.path
  * Fix non-UTF8 chars that break PDF building
  * Drop unused shlib:Depends in cylc

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 12 Dec 2018 11:29:05 +0000

cylc (7.8.0-2) unstable; urgency=medium

  * Patch: Don't call hostname in doc scripts; Use "debian" instead.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 10 Dec 2018 12:23:39 +0000

cylc (7.8.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.2.1
  * Drop hard-coded xz compression for tarballs
  * Drop obsolete lintian-overrides
  * Don't ship glyphicons-halflings-regular.ttf ; depend on fonts-
    glewlwyd instead
  * Use libjs-jquery rather than embedded version
  * Use libjs-prettify too.
  * make jobs.sh  executable
  * Don't parse changelog for version; get from dpkg includes

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 30 Nov 2018 12:12:21 +0000

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Build-Conflicts: cylc
 Build-Depends: debhelper (>= 10), 
  dh-python,  
+ less,
  python-all-dev, 
  python-pygraphviz, 
  pyro, 
@@ -18,14 +19,13 @@
  tex-gyre, 
  python-markupsafe, 
  python-cherrypy3
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Homepage: https://cylc.github.io/cylc
 Vcs-Browser: https://salsa.debian.org:/science-team/cylc.git
 Vcs-Git: https://salsa.debian.org:/science-team/cylc.git
 
 Package: cylc
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends},
- sqlite3, python-cylc, python, at, perl
+Depends: ${misc:Depends}, sqlite3, python-cylc, python, at, perl
 Architecture: all
 Description: Workflow scheduler 
  Cylc ("silk") is a suite engine and meta-scheduler that specializes
@@ -38,9 +38,10 @@
 Architecture:  any
 Breaks: xdot (<< 0.7-2)
 Replaces: xdot (<< 0.7-2)
-Depends: ${python:Depends}, ${misc:Depends}, pyro, 
+Depends: ${python:Depends}, ${misc:Depends}, pyro, fonts-glewlwyd,
  python-sqlite, python-gtk2, python-jinja2, python-pygraphviz,
- python-markupsafe, python-cherrypy3, pyro
+ python-markupsafe, python-cherrypy3, pyro, 
+ libjs-jquery, libjs-prettify
 Description: Python libraries for cylc workflow scheduler
  Cylc ("silk") is a suite engine and meta-scheduler that specializes
  in suites of cycling tasks for weather forecasting, climate modeling,

=== debian/rules ===
#!/usr/bin/make -f

# The magic debhelper rule:
%:
	dh  $@ --with python2

include /usr/share/dpkg/pkg-info.mk

override_dh_auto_build:
	echo $(DEB_VERSION) > VERSION
	PATH=$(PATH):$(CURDIR)/bin && $(MAKE)

override_dh_auto_install:
	# Don't support gpanel. Requires gnome2's gnomeapplet.
	rm -rf  bin/cylc-gpanel conf/gpanel
	mkdir -p debian/tmp/usr/bin
	mkdir -p debian/tmp/etc/cylc/gcylcrc
	cp bin/cylc debian/tmp/usr//bin/cylc
	cp etc/gcylc.rc.eg debian/tmp/etc/cylc/gcylcrc/gcylc.rc
	cp etc/global-tests.rc.eg debian/tmp/etc/cylc/gcylcrc/global-tests.rx
	cp etc/gcylc-themes.rc debian/tmp/etc/cylc/gcylcrc
	find . -name '*.t' -exec chmod +x {} \;
	find . -name test_header -exec chmod +x {} \;
	chmod +x bin/*

override_dh_install-arch:
	dh_install
	# Delete after install. Use packages instead.
	for p in Pyro cherrypy markupsafe jinja2 ; do \
		rm -rf debian/python-cylc/usr/lib/python2.7/dist-packages/$$p ; \
	done
	find debian/python-cylc -name glyphicons-halflings-regular.ttf -delete 
	rm debian/python-cylc/usr/lib/python2.7/dist-packages/cylc/cylc-review/static/js/jquery.min.js 
	ln -s ../../../../../../../share/javascript/jquery/jquery.min.js \
		debian/python-cylc/usr/lib/python2.7/dist-packages/cylc/cylc-review/static/js/jquery.min.js 
	for d in lang-apollo.js  lang-css.js  lang-hs.js lang-lua.js lang-n.js lang-scala.js lang-tex.js  \
		lang-vhdl.js  lang-xq.js lang-clj.js  lang-go.js lang-lisp.js lang-ml.js  lang-proto.js  \
		lang-sql.js  lang-vb.js  lang-wiki.js  lang-yaml.js ; do \
		ln -sf ../../../../../../../share/javascript/prettify/$$d \
			debian/python-cylc/usr/lib/python2.7/dist-packages/cylc/cylc-review/static/js/$$d ; \
		done
	rm -f debian/python-cylc/usr/lib/python2.7/dist-packages/cylc/job.sh

override_dh_install-indep:
	dh_install
	install  -m 0755 debian/cylc.py   $(CURDIR)/debian/cylc/usr/share/cylc/bin/cylc  
	install -m 0644 images/icon.png $(CURDIR)/debian/cylc/usr/share/pixmaps/cylc.png
	install -m 0755 ./lib/cylc/job.sh debian/cylc/usr/share/cylc/job.sh

override_dh_fixperms-indep:
	dh_fixperms
	chmod +x debian/cylc/usr/share/bash-completion/completions/cylc-bash-completion

override_dh_auto_clean:
	$(MAKE) clean || echo "Clean already."
	find . -name '*.pyc' -delete

override_dh_auto_test:
	echo "Skipping tests until hostname issue resolved"
	# PATH=$(PATH):$(CURDIR)/bin && cylc test-battery

## cylc 7.8.3

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # THIS FILE IS PART OF THE CYLC SUITE ENGINE.
-# Copyright (C) 2008-2018 NIWA & British Crown (Met Office) & Contributors.
+# Copyright (C) 2008-2019 NIWA & British Crown (Met Office) & Contributors.
 # 
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -20,7 +20,7 @@
 	etc/dev-bin/create-version-file
 
 documentation:
-	cd doc && $(MAKE)
+	cylc make-docs
 
 clean:
 	cd doc && $(MAKE) clean

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/cylc.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/cylc.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/cylc"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/cylc"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
cylc (7.8.3-1) unstable; urgency=medium
0;95;0c
  * New upstream release
    - images/ moved to usr/lib/cylc/images ;
  * Standards-Version: 4.4.0
  * Now use debhelper-compat ( = 12)
  * Use libjs libs instead of embedded versions:
    - moment.js, bootstrap.js
    - update lintian tags to reflect this
  * ./examples moved to ./etc/examples

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 06 Aug 2019 08:29:20 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Build-Conflicts: cylc
-Build-Depends: debhelper (>= 10), 
+Build-Depends: debhelper-compat (= 12), 
  dh-python,  
  less,
  python-all-dev, 
@@ -19,7 +19,7 @@
  tex-gyre, 
  python-markupsafe, 
  python-cherrypy3
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Homepage: https://cylc.github.io/cylc
 Vcs-Browser: https://salsa.debian.org:/science-team/cylc.git
 Vcs-Git: https://salsa.debian.org:/science-team/cylc.git
@@ -41,7 +41,8 @@
 Depends: ${python:Depends}, ${misc:Depends}, pyro, fonts-glewlwyd,
  python-sqlite, python-gtk2, python-jinja2, python-pygraphviz,
  python-markupsafe, python-cherrypy3, pyro, 
- libjs-jquery, libjs-prettify
+ libjs-jquery, libjs-prettify,
+ libjs-bootstrap, libjs-moment
 Description: Python libraries for cylc workflow scheduler
  Cylc ("silk") is a suite engine and meta-scheduler that specializes
  in suites of cycling tasks for weather forecasting, climate modeling,

=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,13 @@
 		rm -rf debian/python-cylc/usr/lib/python2.7/dist-packages/$$p ; \
 	done
 	find debian/python-cylc -name glyphicons-halflings-regular.ttf -delete 
-	rm debian/python-cylc/usr/lib/python2.7/dist-packages/cylc/cylc-review/static/js/jquery.min.js 
+	rm debian/python-cylc/usr/lib/python2.7/dist-packages/cylc/cylc-review/static/js/jquery.min.js
+	rm debian/python-cylc/usr/lib/python2.7/dist-packages/cylc/cylc-review/static/js/bootstrap.min.js
+	rm debian/python-cylc/usr/lib/python2.7/dist-packages/cylc/cylc-review/static/js/moment.min.js
+	ln -s ../../../../../../../share/javascript/bootstrap/js/bootstrap.min.js \
+		debian/python-cylc/usr/lib/python2.7/dist-packages/cylc/cylc-review/static/js/bootstrap.min.js
+	ln -s ../../../../../../../share/javascript/moment/moment.min.js \
+		debian/python-cylc/usr/lib/python2.7/dist-packages/cylc/cylc-review/static/js/moment.min.js 
 	ln -s ../../../../../../../share/javascript/jquery/jquery.min.js \
 		debian/python-cylc/usr/lib/python2.7/dist-packages/cylc/cylc-review/static/js/jquery.min.js 
 	for d in lang-apollo.js  lang-css.js  lang-hs.js lang-lua.js lang-n.js lang-scala.js lang-tex.js  \
@@ -44,7 +50,7 @@
 override_dh_install-indep:
 	dh_install
 	install  -m 0755 debian/cylc.py   $(CURDIR)/debian/cylc/usr/share/cylc/bin/cylc  
-	install -m 0644 images/icon.png $(CURDIR)/debian/cylc/usr/share/pixmaps/cylc.png
+	install -m 0644 ./lib/cylc/gui/images/icon.png $(CURDIR)/debian/cylc/usr/share/pixmaps/cylc.png
 	install -m 0755 ./lib/cylc/job.sh debian/cylc/usr/share/cylc/job.sh
 
 override_dh_fixperms-indep:

## cylc 7.8.4

=== debian/changelog ===
cylc (7.8.4-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 24 Sep 2019 12:19:44 +0100

## cylc 8.0~a1

=== debian/changelog ===
cylc (8.0~a1-2) unstable; urgency=medium

  * Rename cylc -> cylc-flow as per upstream
    - cylc-flow provides: cylc for now, with Breaks/Replaces
  * Change python3-cylc to Arch: all. Closes: #949772
  * Standards-Version: 4.5.0
  * Drop dependencies on pyro. Closes: #942938
  * CHange CYLC_HOME_BIN in paths to /usr/share/cylc/bin, rather than shipping
    our own front-end driver
  * Don't ship png or desktop as we don't ship gui in this package

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 05 Feb 2020 16:47:30 +0000

cylc (8.0~a1-1) experimental; urgency=medium

  * New upstream release, python3 port
    - Drop old patches
    - Closes: #936359, #885371
  * Move to pybuild build system

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 24 Sep 2019 13:24:12 +0100

=== debian/control ===
Source: cylc
Section: utils
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Conflicts: cylc
Build-Depends: debhelper-compat (= 12), 
 dh-python,  
 python3-setuptools,
 python3-all-dev, 
 less,
 texlive-latex-extra, 
 texlive-fonts-recommended,  
 lmodern, 
 tex4ht, 
 imagemagick, 
 sqlite3,
 tex-gyre
Standards-Version: 4.5.0
Homepage: https://cylc.github.io/cylc
Vcs-Browser: https://salsa.debian.org:/science-team/cylc.git
Vcs-Git: https://salsa.debian.org:/science-team/cylc.git

Package: cylc-flow
Depends: python3, ${misc:Depends}, 
 sqlite3, 
 python3-cylc, 
 at, perl, python3-ansimarkup
Architecture: all
Provides: cylc
Breaks: cylc
Replaces: cylc
Description: Workflow scheduler 
 Cylc ("silk") is a suite engine and meta-scheduler that specializes
 in suites of cycling tasks for weather forecasting, climate modeling,
 and related processing (it can also be used for one-off workflows
 of non-cycling tasks, which is a simpler problem).

Package: python3-cylc
Section: python
Architecture:  all
Depends: python3, ${python3:Depends}, ${misc:Depends}, 
 fonts-glewlwyd,
 python3-josepy, 
 python3-colorama, 
 python3-zmq,
 libjs-jquery, libjs-prettify,
 libjs-bootstrap, libjs-moment
Description: Python3 libraries for cylc workflow scheduler
 Cylc ("silk") is a suite engine and meta-scheduler that specializes
 in suites of cycling tasks for weather forecasting, climate modeling,
 and related processing (it can also be used for one-off workflows
 of non-cycling tasks, which is a simpler problem).
 .
 This package contains python library code used by cylc.

=== debian/rules ===
#!/usr/bin/make -f

# The magic debhelper rule:
%:
	dh  $@ --with python3 --buildsystem=pybuild

include /usr/share/dpkg/pkg-info.mk

override_dh_install-arch:
	dh_install
	#find debian/python3-cylc -name glyphicons-halflings-regular.ttf -delete 
	#rm debian/python-cylc/usr/lib/python2.7/dist-packages/cylc/cylc-review/static/js/jquery.min.js
	#rm debian/python-cylc/usr/lib/python2.7/dist-packages/cylc/cylc-review/static/js/bootstrap.min.js
	#rm debian/python-cylc/usr/lib/python2.7/dist-packages/cylc/cylc-review/static/js/moment.min.js
	#ln -s ../../../../../../../share/javascript/bootstrap/js/bootstrap.min.js \
	#	debian/python-cylc/usr/lib/python2.7/dist-packages/cylc/cylc-review/static/js/bootstrap.min.js
	#ln -s ../../../../../../../share/javascript/moment/moment.min.js \
	#	debian/python-cylc/usr/lib/python2.7/dist-packages/cylc/cylc-review/static/js/moment.min.js 
	#ln -s ../../../../../../../share/javascript/jquery/jquery.min.js \
	#	debian/python-cylc/usr/lib/python2.7/dist-packages/cylc/cylc-review/static/js/jquery.min.js 
	#for d in lang-apollo.js  lang-css.js  lang-hs.js lang-lua.js lang-n.js lang-scala.js lang-tex.js  \
	#	lang-vhdl.js  lang-xq.js lang-clj.js  lang-go.js lang-lisp.js lang-ml.js  lang-proto.js  \
	#	lang-sql.js  lang-vb.js  lang-wiki.js  lang-yaml.js ; do \
	#	ln -sf ../../../../../../../share/javascript/prettify/$$d \
	#		debian/python-cylc/usr/lib/python2.7/dist-packages/cylc/cylc-review/static/js/$$d ; \
	#	done
	# rm -f debian/python-cylc/usr/lib/python2.7/dist-packages/cylc/job.sh

override_dh_fixperms-indep:
	dh_fixperms
	chmod +x debian/cylc-flow/usr/share/bash-completion/completions/cylc-bash-completion

override_dh_auto_clean:
	rm -rf build .pybuild cylc_flow.egg-info

override_dh_auto_test:
	echo "Skipping tests until hostname issue resolved"
	# PATH=$(PATH):$(CURDIR)/bin && cylc test-battery

## cylc 8.0~a2

=== debian/changelog ===
cylc (8.0~a2-1) unstable; urgency=medium

  * New upstream release
  * Move to debhelper-compat 13
  * Change from dh-python to dh-python-sequence3, drop --with python3

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 26 Sep 2020 14:25:49 +0100

cylc (8.0~a1-5) unstable; urgency=medium

  * Change dep from fonts-gewlyld to fonts-font-awesome. Closes: #962879

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 28 Jun 2020 19:35:22 +0100

cylc (8.0~a1-4) unstable; urgency=medium

  * Depend on python3-isodatetime

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 03 Apr 2020 09:51:15 +0100

cylc (8.0~a1-3) unstable; urgency=medium

  * source-only upload

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 28 Feb 2020 10:22:44 +0000

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Build-Conflicts: cylc
-Build-Depends: debhelper-compat (= 12), 
- dh-python,  
+Build-Depends: debhelper-compat (= 13), 
+ dh-sequence-python3,  
  python3-setuptools,
  python3-all-dev, 
  less,
@@ -24,6 +24,7 @@
 Depends: python3, ${misc:Depends}, 
  sqlite3, 
  python3-cylc, 
+ python3-isodatetime,
  at, perl, python3-ansimarkup
 Architecture: all
 Provides: cylc
@@ -39,9 +40,10 @@
 Section: python
 Architecture:  all
 Depends: python3, ${python3:Depends}, ${misc:Depends}, 
- fonts-glewlwyd,
+ fonts-font-awesome,
  python3-josepy, 
  python3-colorama, 
+ python3-isodatetime,
  python3-zmq,
  libjs-jquery, libjs-prettify,
  libjs-bootstrap, libjs-moment

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # The magic debhelper rule:
 %:
-	dh  $@ --with python3 --buildsystem=pybuild
+	dh  $@ --buildsystem=pybuild
 
 include /usr/share/dpkg/pkg-info.mk
